#include <QThreadStorage>

#include "qui/threading/GuiProxy.hpp"
#include "qui/threading/ThreadManager.hpp"
#include <iostream>
GuiProxy::GuiProxy() :
  master(this)
{
}

GuiProxy::GuiProxy(GuiProxy *master_) :
  master(master_)
{
  connect(this, SIGNAL(create_mussa_window_signal(GuiProxy *)),
          master, SLOT(create_mussa_window(GuiProxy *)),
          Qt::QueuedConnection);
}

void GuiProxy::create_mussa_window(MussaRef m)
{
  if (this == master) {
    MussaWindow *mw(new MussaWindow(m));
    mw->show();
    windows.push_back(mw);
  } else {
    if (!analysis) {
      analysis = m;
      emit create_mussa_window_signal(this);
    }
  }
} 

void GuiProxy::create_mussa_window(GuiProxy *proxy) {
  create_mussa_window(proxy->analysis);
  proxy->analysis.reset();
}


void MussaWindowProxy(MussaRef m) {
  GuiProxy *proxy = ThreadManager::get_gui_proxy();  
  if (proxy) {
    proxy->create_mussa_window(m);
  } else {
    std::cout << "no local proxy" << std::endl;
  }
}
    

